Subject: bug#3229: 23.0.93;ediff-directories isn't buffer coding system independent

From: "Drew Adams" <[email-masked]>
Date: Wed, 6 May 2009 08:10:19 -0700

> > I have two files with the same name (extracted from two svn
> > repositories) one of which has a coding system of undecided-dos, the
> > other is undecided-unix.
> 
> > WHen I perform an ediff-buffers between the two files loaded into
> > emacs I get - correctly - zero reported differences. 
> > However if I look at the differences using ediff-directories I
> > get a single difference region consisting of the whole file.
> 
> Presumably you'll get the same "one big hunk diff" if you use
> ediff-files.  Both ediff-files and ediff-directories work (as the name
> implies) on files (and directories), not on buffers.  While the two
> buffers show similar (or even identical) contents, the corresponding
> files are different (contain different byte sequences because of the
> different coding-system).

Caveat: I haven't followed this thread, but this sounds similar to bug #1183.

I believe that the #1183 thread ended with Eli asking Michael Kifer to have
Ediff let you know that the two have the same (or similar) content but different
coding systems and hence different byte sequences.

Perhaps that never got fixed/finished?